Name:		ibus-kkc
Version:	1.5.18
Release:	%mkrel 1
Summary:	Japanese Kana Kanji input method for ibus

Group:		System/Libraries
License:	GPLv2+
URL:		https://bitbucket.org/libkkc
Source0:	https://bitbucket.org/libkkc/ibus-kkc/downloads/%{name}-%{version}.tar.xz
Patch0:		ibus-kkc-content-type.patch

BuildRequires:	vala
BuildRequires:	intltool
BuildRequires:	libkkc-devel >= 0.2.4
BuildRequires:	ibus-devel
BuildRequires:	%{_lib}gtk+3.0-devel
BuildRequires:	desktop-file-utils
Requires:	ibus

%description
A Japanese Kana Kanji Input Method Engine for ibus.


%prep
%setup -q
rm src/*vala.stamp
# don't touch XKB layout under Fedora
sed -i 's!<layout>jp</layout>!<layout>default</layout>!' src/kkc.xml.in.in
# for ibus 1.5.4 or later
%patch0 -p1 -b .content-type


%build
%configure
%make 


%install
%make_install INSTALL="install -p"

desktop-file-validate %{buildroot}/%{_datadir}/applications/ibus-setup-kkc.desktop

%find_lang %{name}


%post
[ -x %{_bindir}/ibus ] && \
  %{_bindir}/ibus write-cache --system &>/dev/null || :

%postun
[ -x %{_bindir}/ibus ] && \
  %{_bindir}/ibus write-cache --system &>/dev/null || :


%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog README
%{_datadir}/ibus-kkc
%{_libexecdir}/ibus-*-kkc
%{_datadir}/ibus/component/kkc.xml
%{_datadir}/applications/ibus-setup-kkc.desktop


%changelog
* Mon Nov 11 2013 pinoc <vogtpet at gmail.com> 1.5.18-1pclos2013
- import package
